petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDARestoreArray

Restores an array of derivative types for a DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDARestoreArray(DM da,PetscBool ghosted,void *vptr)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch
| vptr | - array data structured

### See Also

DMDAGetArray()

### Level

advanced

### Location

src/dm/impls/da/dalocal.c

### Examples

src/ts/examples/tutorials/ex9.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages